import BigNumber from 'bignumber.js';
export declare const ZERO: BigNumber;
export declare const ONE: BigNumber;
export declare function formatPriceUSD(price?: BigNumber.Value, digits?: number): string;
export declare function formatPriceUSDWithSymBol(price?: BigNumber.Value, prefix?: string, suffix?: string): string;
export declare function formatPriceUSDSplit(price: BigNumber.Value): {
    p: string;
    o?: string | undefined;
    m?: string | undefined;
};
export declare function formatPrice(price?: BigNumber.Value, digits?: number): string;
export declare const getPriceScale: (price: BigNumber.Value, max?: number) => number;
export declare function formatPriceSplit(price?: BigNumber.Value, digits?: number): {
    p: string;
    o?: string | undefined;
    m?: string | undefined;
};
export declare function formatTokenAmount(num?: BigNumber.Value, digits?: number): string;
export declare function formatPriceChange(price?: BigNumber.Value, digits?: number): string;
export declare function formatPriceChangeSD(price?: BigNumber.Value, digits?: number): string;
export declare function formatLiquidity(price?: BigNumber.Value, digits?: number): string;
export declare function formatBalance(price?: BigNumber.Value): string;
export declare function formatPercentage(price?: BigNumber.Value): string;
export declare function formatPriceByNumberToFix(price?: BigNumber.Value, digits?: number): number;
export declare function formatPriceByStringToFix(price?: BigNumber.Value, digits?: number): string;
export declare function formatPriceByNumberToDp(price?: BigNumber.Value, digits?: number): number;
export declare function formatPriceByStringToDp(price?: BigNumber.Value, digits?: number): string;
export declare function formatThousand(price?: BigNumber.Value): string;
export declare function formatMillion(price?: BigNumber.Value): string;
export declare function formatBillion(price?: BigNumber.Value): string;
export declare function formatTrillion(price?: BigNumber.Value): string;
export declare const showValueWrapper: <T = any>(originValue?: any, returnValue?: T | undefined, defaultValue?: any) => T | undefined;
