import { TokenInfo, PairItem } from '@portkey/trader-types';
import { Currency } from '@awaken/sdk-core';
export declare const sleep: (time: number) => Promise<"sleep">;
export declare const unifyWTokenSymbol: (token?: TokenInfo) => string;
export declare function getPairsOrderByTokenWeights(token0?: TokenInfo | string, token1?: TokenInfo | string): Array<TokenInfo | string | undefined>;
export declare function getPairsLogoOrderByTokenWeights(tokens: Array<{
    symbol?: string;
    currency?: Currency | null;
    address?: string;
    src?: string;
}>): Array<{
    symbol?: string;
    currency?: Currency | null;
    address?: string;
    src?: string;
}>;
export declare const getIsReversed: (token0: string | TokenInfo, token1: string | TokenInfo) => boolean;
export declare const getPairReversed: (_pair: PairItem) => PairItem;
export declare function stringCut(str: string, resultLen: number): string;
