import BigNumber from 'bignumber.js';
export declare const ALLOWED_PRICE_IMPACT_LOW: BigNumber;
export declare const ALLOWED_PRICE_IMPACT_MEDIUM: BigNumber;
export declare const ALLOWED_PRICE_IMPACT_HIGH: BigNumber;
export declare const PRICE_IMPACT_WITHOUT_FEE_CONFIRM_MIN: BigNumber;
export declare const BLOCKED_PRICE_IMPACT_NON_EXPERT: BigNumber;
export declare const ZERO: BigNumber;
export declare const ONE: BigNumber;
export declare const VALUE_M: BigNumber;
export declare const VALUE_B: BigNumber;
export declare const VALUE_T: BigNumber;
export declare const isNanOrZero: (val: any) => boolean;
export declare const LANG_MAX: BigNumber;
export declare enum REQ_CODE {
    UserDenied = -1,
    Fail = -2,
    Success = 1
}
export declare const SYMBOL_FORMAT_MAP: Record<string, string>;
export declare const LP_DECIMALS = 8;
export declare const LANG_MAX_VALUE: string;
export declare const TOKEN_SORT_MAP: Record<string, string>;
export declare const SWAP_TIME_INTERVAL: number;
export declare const MOBILE_DEVICE_WIDTH = 640;
