import clsx from 'clsx';
export const getFontStyle = ({ weight = 'regular', color = 'one', size = 14, lineHeight, align = 'left', }) => {
    return clsx(`font-weight-${weight}`, `font-color-${color}`, `font-size-${size}`, typeof lineHeight === undefined ? '' : `line-height-${lineHeight}`, `text-align-${align}`);
};
export const getSvgStyle = ({ size = 20, color = 'one' }) => {
    return clsx(`svg-size-${size}`, `svg-color-${color}`);
};
export default getFontStyle;
