type PatternItem = {
    pattern?: string | RegExp;
    message?: string;
    callBack?: (value: RegExpExecArray | null | string) => string;
};
type ReplaceItem = {
    from: string;
    to: string;
};
declare class TextProcessor {
    protected patternList: PatternItem[];
    protected replaceList: ReplaceItem[];
    constructor(patternList: PatternItem[], replaceList: ReplaceItem[]);
    format(value: string): string | undefined;
}
export declare const textProcessor: TextProcessor;
export {};
